Summary:   Fan Monitoring and Control Module for Intel D815* motherboards
Name:      fan-monitor
Version:   1.3
Release:   1
Packager:  Bruce Allen
Group:     Sytem Environment/Modules
Source0:   %{name}-%{version}.tar.gz
License:   GPL
BuildRoot: %{_tmppath}/%{name}-root
URL:       http://www.lsc-group.phys.uwm.edu/~ballen/driver/

%description 
A simple linux module for monitoring and controlling system and cpu
cooling fans under linux.  Supported systems are those containing an
SMSC LPC47M10x, LPC47M120, LPC47M13x, or LPC47M14x Super I/O
controller chip.  This includes the Intel D815EEA, Intel D815EEA2,
Intel D815EFV, and related motherboards.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
make clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{_builddir}/%{name}-%{version}

%files
%defattr(-,root,root)
/usr/share/doc/fan-monitor/fan.txt
/etc/rc.d/init.d/fan-monitor
/lib/modules//misc/fan.o

%changelog
* Tue Dec  3 2002 root <ballen@ballen.sellostrasse>
- Initial build.


